﻿$tools = Split-Path $MyInvocation.MyCommand.Definition
$package = Split-Path $tools
$codeql_home = Join-Path $package 'codeql-win64/codeql'
$codeql_bat = Join-Path $codeql_home 'codeql.exe'


Install-ChocolateyZipPackage `
    -PackageName 'codeql' `
    -Url 'https://github.com/github/codeql-cli-binaries/releases/download/v2.7.2/codeql-win64.zip' `
    -Checksum '88457ce292647d799c7d9ce376b85dc73201785d3ad84f8d194bf45bcfd8d4f6f8ac8e38f77312a222e249565146b351817cb6f10315952a0ce6c72ce3e472e8' `
    -ChecksumType 'SHA512' `
    -UnzipLocation $package

Install-ChocolateyEnvironmentVariable `
    -VariableName 'CODEQL_HOME' `
    -VariableValue $codeql_home `
    -VariableType 'Machine'


Install-BinFile -Name 'codeql' -Path $codeql_bat

Update-SessionEnvironment